[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCalendar.ExecuteAction

Provides support for TBasicAction in the control.

## Declaration

Source position: dbctrls.pp line 1287

`public function TDBCalendar.ExecuteAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action examined and executed in the method.

## Function result

True if the action was executed in the method.

## Description

ExecuteAction is an overridden method in TDBCalendar. It calls the inherited method, and when the action is not handled in the ancestor, executes AAction using the ExecuteAction method in the internal TFieldDataLink instance in the class.

The return value is True if the action was executed in the method.

## See also

TComponent.ExecuteAction
TBasicAction